var crke = ['q','w','e','r','t','z','u','i','o','p','š','a','s','d','f','g','h','j','k','l','č','y','x','c','v','b','n','m']
var besedilo = "smo v trenutkih ko je najpomembnejša le ena zadeva skrb za zdravje Pandemija je ob mnogih drugih ustavila tudi nogometne aktivnosti in ob odgovornem ravnanju z doslednim upoštevanjem navodil želimo kot klub pomagati še na druge načine Nadgradili bomo projekt tradicionalne krvodajalske akcije Vijolična kri za vse ljudi Vsako leto organiziramo plemenita dejanja v septembru tokrat bomo že v marcu V dneh ko medicinsko osebje uspeva z nadčloveškimi napori obvladovati neprijetno situacijo je bistvenega pomena tudi ustrezna zaloga krvi"
var besede = []
var counter = 0
var correct_words = 0
var wrong_words = 0
var total_chars = 0
var start = false
var max_number_of_words = 7
var timer = null
var seconds = 59
var rezultati = ""

function zacni()
{
    if (!start)
    {
        prikazi_besede()
            
        $("#input_words").prop('disabled', false)
        seconds = 59
        timer = setInterval(odstevaj, 1000)

        correct_words = wrong_words = total_chars = counter = 0
        start = true
        $("#input_words").focus()
        $("#rezultati").hide("hide")
    }
}

function ustavi()
{
    if (start)
    {
        clearInterval(timer)       
        $("#input_words").prop('disabled', true)
        $("#input_words").val("")
        $("#prikazane_besede").html("")
        $("#timer").html("1:00")
        
        start = false
    }
}

function odstevaj() {
    time = "0:" + (seconds<10 ? "0" + seconds : seconds )
    $("#timer").html(time)
    seconds--

    if (seconds == -1)
    {
        ustavi()

        total = correct_words + wrong_words

        $("#wpm").html(total)
        $("#prec").html((total == 0 ? "0 %" : (Math.round((correct_words / total) * 100))))
        $("#correct_words").html(correct_words)
        $("#wrong_words").html(wrong_words)
        $("#number_of_chars").html(total_chars)

        $("#rezultati").show("show")
    }
}

function generiraj_besedo()
{
    besedilo = besedilo.toLowerCase()
    var besede = besedilo.split(" ")
    
    var index = Math.floor(Math.random() * besede.length)
    
    return besede[index]
}

function prikazi_besede()
{
    var prikazane_besede = ""
    for (var i = 0; i < max_number_of_words; i++)
    {
        besede[i] = generiraj_besedo()
        prikazane_besede += "<p id=" + i + ">" + besede[i] + "</p> "
    }
    $("#prikazane_besede").html(prikazane_besede)
    $("p#0").css('background-color', 'lightgrey')
}

function prikazi_tipkovnico()
{
    for (var i = 0; i < crke.length; i++)
    {
        var crka = $('<input/>').attr({
            id: "crka_" + crke[i],
            class: "crke",
            type: "button",
            value: crke[i]
        })
        
        $("#tipkovnica").append(crka)
        
        if(crke[i] == 'š' || crke[i] == 'č')
            $("#tipkovnica").append("<br/>")
    }
}

function pritisk_tipke(koda)
{
    for (var i = 0; i < crke.length; i++)
    {
        $("#crka_" + crke[i]).css('background-color', '')
    }

    crka = String.fromCharCode(koda)
    $("#crka_" + crka).css('background-color', 'darkgrey')

    setTimeout( function(){
        $("#crka_" + crka).css('background-color', '')
    },100)

    if(koda == '32' || koda == '13')
    {
        var input_word = $("#input_words").val()
        
        if (input_word[0] == " ")
            input_word = input_word.substring(1)

        if (input_word != "" && input_word != " ")
        {
            if (input_word == besede[counter])
            {
                $("p#" + counter).css('color', 'green')
                correct_words++
            }
            else
            {
                $("p#" + counter).css('color', 'red')
                wrong_words++
            }
            
            $("p#" + counter).css('background-color', '')
            $("p#" + (counter+1)).css('background-color', 'grey')

            counter++

            if (counter == max_number_of_words)
            {
                prikazi_besede()
                counter = 0
            }
        }

        $("#input_words").val("")
    }
    else
    {
        total_chars++
    }
}

$(() => {

    $("#prikazane_besede").html("")

    prikazi_tipkovnico()
    
    $("#input_words").keypress(function(event)
    {
        pritisk_tipke(event.keyCode)
    })

})